Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.adk.queue
Class MessageProcessor

All Known Implementing Classes:
  IfsMessageProcessor

    public interface class MessageProcessor

MessageProcessor interface is used to provide a customizable message handling feature from the InboundQueueListenerAgent. Applications developers implement this interface and provide their own handleMessage() method that would be called by the queue agent. To get a logging facility, use the class IfsMessageProcessor instead of directly implementing this interface.

(Published)

Method Summary
`void` | `handleExceptionQueueMessage(oracle.sql.ORAData message, LibrarySession sess)` Handle the message from exception queue.
`void` | `handleMessage(oracle.sql.ORAData message, LibrarySession sess)` Handle the message that is passed as parameter.
`boolean` | `readyForDequeue(LibrarySession sess)` Should we even attempt a dequeue ? This method provides a a pre dequeue check condition that applications can implement to prevent dequeues if certain conditions are not met.
`void` | `setServer(Server server)` Sets the server that is using the interface.

Method Detail

### setServer

    void setServer(Server server)
                   throws IfsException

  Description copied from interface: `MessageProcessor`
  Sets the server that is using the interface. This is used to let the implementing class know about the server (or agent) that is using the class. It is up to the implementing class to decide how to make use of this information.

  Parameters:
    `server` - handle to the server
  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleMessage

    void handleMessage(oracle.sql.ORAData message,
                       LibrarySession sess)
                       throws IfsException

  Description copied from interface: `MessageProcessor`
  Handle the message that is passed as parameter.

  Parameters:
    `message` - handle to the message to be processed
    `sess` - handle to the Library session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### handleExceptionQueueMessage

    void handleExceptionQueueMessage(oracle.sql.ORAData message,
                                     LibrarySession sess)
                                     throws IfsException

  Description copied from interface: `MessageProcessor`
  Handle the message from exception queue.

  Parameters:
    `message` - handle to the exception-message to be processed
    `sess` - handle to the Library session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### readyForDequeue

    boolean readyForDequeue(LibrarySession sess)
                            throws IfsException

  Description copied from interface: `MessageProcessor`
  Should we even attempt a dequeue ? This method provides a a pre dequeue check condition that applications can implement to prevent dequeues if certain conditions are not met.

  Parameters:
    `sess` - handle to the LibrarySession; provided for convenience
  Returns:
    true if we should dequeue; false otherwise
  Throws:
    `IfsException` - if the method fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD